# Magento 2 Advanced Reports extension FREE!

**Mageplaza Magento 3 Advanced Reports** is a free extension which helps stores quickly access to advanced reports on Dashboard. As your shop grows, so is the amount of numbers you have to deal with everyday. Eventually, it would reach a point where you find yourself in dire need of a tool that can take care of the figures for you.

To facilitate the management of statistics, we proudly introduce **[Magento 2 Advanced Reports extension](https://www.mageplaza.com/magento-2-reports-extension/)** by Mageplaza. This module would help store admins keep their number neat and clean while enable them to see the level of progress made in comparison to the same period last month, last year and so on.


[![Latest Stable Version](https://poser.pugx.org/mageplaza/module-reports/v/stable)](https://packagist.org/packages/mageplaza/module-reports)
[![Total Downloads](https://poser.pugx.org/mageplaza/module-reports/downloads)](https://packagist.org/packages/mageplaza/module-reports)

**IMPORTANT NOTE:** This version of Mageplaza Reports extension on Github is free as a contribution to the Magento community from Mageplaza. This package does not include the technical support. Should you need technical support for this extension, you will have to buy a license from Mageplaza. [Click here to buy](https://www.mageplaza.com/magento-2-reports-extension/).

## 1. Advanced Reports Documentation
- [Mageplaza sale page](https://www.mageplaza.com/magento-2-reports-extension/)

- [Installation guide](https://www.mageplaza.com/install-magento-2-extension/)
- [User guide](https://github.com/magepages/mpdocs/blob/master/docs/reports/index.md)

## 2. Advanced Reports FAQs

Q: I got an error: `Mageplaza_Core` has been already defined

A: Read solution [here](https://github.com/mageplaza/module-core/issues/3)

Q: Can Reports be used with multiple stores? If so, how can I use it?

A: Yes, it can.
* Stores are set the default as the Default Configuration.
* To change the configuration for each store, need to remove tick at Use Website on the right of each option.
* Config of the extension in each store will be applied in the store itself.
* Config in this store doesn't affect the config in the other store.

## 3. How to install Magento 2 Advanced Reports extension

### ✓ Install via composer (recommend)
Run the following command in Magento 2 root folder:

With Marketing Automation (recommend):
```
composer require mageplaza/module-reports mageplaza/module-smtp
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

Without Marketing Automation:
```
composer require mageplaza/module-reports
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

## 4. Magento 2 Advanced Reports features

### New advanced reports

Along with other reports which are already accessible and available in default Magento 2, **Mageplaza Advanced Reports extension** complements two more advanced reports:
- **Sale by Location report**
- **Repeat customers rate report**

While the **Sale by location report** helps store owners have an overview of sales in specific countries/regions, that of Repeat customer rate shows how your loyalty program is doing in a visual way.

These statistical data are also ready to be compared with that of the previous period on a daily, monthly or even yearly basis.

![new advanced reports for Magento 2](https://i.imgur.com/Xz7maXc.png)

### Customizable report period & report comparison

Store admins can select a period in which statistical data is demonstrated. **Mageplaza Advanced Reports Magento 2** allows you to show figures of:
* Today
* Yesterday
* Last 7 days
* Last 30 days
* This month
* Last month
* Custom range

With Custom Range, admins are able to select specific time for the report and will not be limited to any range of time.

![Magento 2 customizable report period & report comparison](https://i.imgur.com/v1Mrh7R.png)


#### Report comparison

Moreover, statistic data can be compared with that of the previous period which includes:
* The previous month
* The previous year
* Custom range

With **Custom Range**, store admins can filter figures which belong to a specific period of time to compare with the initial ones.

### Line-chart reports

In **Mageplaza Advanced Reports standard version**; reports on repeat customer rate, transactions, total sales, average order value, tax, and shipping will be displayed as line charts. This provides store owners with a visual look at statistic data, making it easier to compare, follow and process figures. In every graph, the rates between numbers will also be shown with red standing for positive statistics and green indicating negative ones.

![Magento 2 line-chart reports](https://i.imgur.com/lpQDb5Y.png)

### Flexible reports dashboard layouts

On the **Magento 2 dashboard**, store admins can drag and drop to move report areas and arrange figure sections with ease. Moreover, the report board’s size can be adjusted by pulling the double arrow. Let’s see the screen gif below:

![Magento 2 dashboard extension](https://i.imgur.com/cLbXk6G.gif)


## 5. More Magento 2 Reports features

### Friendly presentation

Figures and numbers can be a headache to deal with. Thank to the extension, you can now view them in forms of charts and graphs, making them much easier to follow.

### Rates & Changes

A great thing about Reports is its instant analysis. With just a quick glance, you can see how your current performance compared to that of previous periods. 

### Enhance default reports

**Advanced Reports** better the default reports that come with Magento2. It adds further analysis of **Revenue, Tax, Shipping and Quantity**.

### High compatibility

Advanced Reports extension is compatible with many [other Mageplaza products](https://www.mageplaza.com/magento-2-extensions/), such as **Reward points**, **Gift card**, **Affiliate** and etc. Once you have the others installed, their statistics will appear in the Reports as well.

## 6. Full Magento 2 Advanced Reports features

- Enable/Disable module
- Enable store admins to show customized reports on Dashboard
- Enable store admins to compare figures in reports
- Two new advanced reports: Sale by location and Repeat customers rate reports
- Reports appear as line charts
- Reports in specified period
- Compare statistic data with previous period
- Enhance default reports on Tax, Revenue, Shipping and Quantity
- Highly informative Dashboard
- Drag and drop to arrange report layouts
- Adjust report boards’ sizes by pulling double arrows

## 7. How to configure Magento 2 Reports extension

First, you need to enable the module. Login to Magento backend, then on the admin panel choose **Store > Settings > Configuration > Mageplaza Extensions > Reports**. 

![configuration](https://i.imgur.com/BkoGnd1.png)

Below, we will take a look at how Reports can be configured.

### Advanced Reports General Configuration

![Magento 2 Advanced Reports General Configuration](https://i.imgur.com/IGClDwN.png)

* In the **Module Enable** field: Choose Yes to enable Reports extension.
* In the **Enable Chart** field: Select Yes to show the graph.
* In the **Enable Comparison** field: select Yes to display comparison of store performance between time periods.

### Quick report outside the Dashboard

After the initial configuration is completed, your dashboard will change with the addition of new graphs as shown in the following image:

![magento 2 report outside the dashboard](https://i.imgur.com/EZl9a4Q.png)

In the Dashboard, you can:
* Remove and add report cards that suit your need.
* Rearrange the cards as you see fit and even adjust their size

**Peoples also search:**
- magento 2 advanced reporting
- magento 2 custom reports
- magento 2 reporting extension
- magento 2 reports
- advanced reporting magento 2
- magento 2 advanced reports
- magento 2 reports extension
- create custom reports in magento 2 admin
- magento 2 dashboard extension
- magento 2 advanced reporting not working
- magento 2 reporting
- magento 2 create custom report module
- magento 2 create custom report
- magento 2 sales report
- magento 2 dashboard
- magento 2 advanced reports free
- magento 2 advanced reports extension free
- magento 2 inventory report


**Other free extension on Github**
- [Magento 2 backend reindex](https://github.com/mageplaza/magento-2-backend-reindex)
- [Magento 2 login as customer module](https://github.com/mageplaza/magento-2-login-as-customer)
- [Magento 2 popup extension](https://github.com/mageplaza/magento-2-better-popup)
- [Magento 2 instagram feed module](https://github.com/mageplaza/magento-2-instagram-feed)
- [Magento 2 social login](https://github.com/mageplaza/magento-2-social-login)
- [Magento 2 twitter widget](https://github.com/mageplaza/magento-2-twitter-widget)
- [Magento 2 Layered Navigation](https://github.com/mageplaza/magento-2-ajax-layered-navigation)
- [Magento 2 security extension](https://github.com/mageplaza/magento-2-security)

**Other extensions on Our store:**
- [Magento 2 Google Tag Manager](https://www.mageplaza.com/magento-2-google-tag-manager/)
- [Magneto 2 Store Locator](https://www.mageplaza.com/magento-2-store-locator-extension/)
- [Magento 2 customer attributes](https://www.mageplaza.com/magento-2-customer-attributes/)
- [Magento 2 Ajax Cart module](https://www.mageplaza.com/magento-2-quick-view/)
- [Magento 2 Store Pickup Module](https://www.mageplaza.com/magento-2-store-pickup-extension/)
- [Magento 2 Google Map](https://www.mageplaza.com/magento-2-google-maps/)
- [Magento 2 Sorting extension](https://www.mageplaza.com/magento-2-better-sorting/)
- [Magento 2 Google Analytics](https://www.mageplaza.com/magento-2-google-analytics-pro/)

**The Most Popular Magento 2 Advanced Reports extension FREE**
- [Advanced Reports Documentation](#1-advanced-reports-documentation)
- [Advanced Reports FAQs](#2-advanced-reports-faqs)
- [How to install Magento 2 Advanced Reports extension](#3-how-to-install-magento-2-advanced-reports-extension)
- [Magento 2 Advanced Reports features](#4-magento-2-advanced-reports-features)
  - [New advanced reports](#new-advanced-reports)
  - [Customizable report period & report comparison](#customizable-report-period--report-comparison)
  - [Line-chart reports](#line-chart-reports)
  - [Flexible reports dashboard layouts](#flexible-reports-dashboard-layouts)
- [More Magento 2 Reports features](#5-more-magento-2-reports-features)
  - [Friendly presentation](#friendly-presentation)
  - [Rates & Changes](#rates--changes)
  - [Enhance default reports](#enhance-default-reports)
- [Full Magento 2 Advanced Reports features](#6-full-magento-2-advanced-reports-features)
- [How to configure Magento 2 Reports extension](#7-how-to-configure-magento-2-reports-extension)
  - [Advanced Reports General Configuration](#advanced-reports-general-configuration)
  - [Quick report outside the Dashboard](#quick-report-outside-the-dashboard)


